Knowledge Base Getting Started Frequently Asked Questions

Recommended system requirements for using FreeAgent

This article explains which system requirements are recommended for using FreeAgent.

FreeAgent is completely web-based, which means there's nothing to install in order to use it. You only need a web browser with a few common settings enabled. Depending on which browser you use, you may also need to use the Adobe Reader plugin.

Web browsers

FreeAgent works best with recent versions of the following web browsers:

So that we can maintain the highest levels of security and continue to improve FreeAgent, we no longer support Internet Explorer 11 (IE11). If you use IE11, you will need to download the latest version of Edge (Microsoft's replacement for Internet Explorer) or use one of the other browsers listed above.

For the best possible experience, ensure that your browser and operating system are up to date when using FreeAgent. To update your browser, or to see if any new updates are available, select the relevant browser from the list above and follow the steps provided.

FreeAgent also works with web browsers on iOS and Android devices; however, if you log into your account using a mobile device's web browser, you may need to 'zoom' in order to see the data clearly. Alternatively, you could use the FreeAgent mobile app to access your account from a mobile device.

Plugins

Many operating systems allow you to view PDFs by default but if this isn't the case for your operating system, you can use Adobe Reader to view PDFs in FreeAgent.

JavaScript

JavaScript must be enabled for FreeAgent to function correctly.

Cookies

The option for allowing your web browser to set cookies should be enabled before using FreeAgent.

Did you find this article useful?